.plus {
    all: unset;
    position: relative;
    width: 5.5rem;
    height: 5.5rem;
    display: flex;
    align-items: center;
    border-radius: 2.75rem;
    cursor: pointer;
    transition: all 0.5s ease;

    > svg {
        margin-left: calc(2.75rem - 12px);
    }
    &.show {
        width: 30vw;
        background-color: var(--vil-primary);

        border-radius: 0;
        input {
            background-color: transparent;
            color: #fff;
            font-size: 1.125rem;
            height: 4rem;
            padding: 1rem 0 1rem 2vw;
            border: none;
            width: calc(30vw - 6.5rem);
            text-transform: uppercase;

            &:focus {
                outline: none;
                &::placeholder {
                    opacity: 0.7;
                }
            }

            &::placeholder {
                color: #fff;
                opacity: 0.4;
                text-transform: lowercase;
            }
        }

        .invalid {
            position: absolute;
            top: 5.5rem;
            color: red;
            margin: 0.5rem 0;
            padding: 0;
            font-size: 0.875rem;
        }
    }

    &.hide {
        background-color: #ccc;
        input {
            display: none;
            width: 0;
        }
        &:hover {
            background-color: var(--vil-primary);
            cursor: pointer;
        }
        .invalid {
            display: none;
        }
    }
}
